bitel.billing.server.contract.object.bean

## Class ObjectTypeManager

- java.lang.Object
- - bitel.billing.server.contract.object.bean.ObjectTypeManager

-     public class ObjectTypeManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectTypeManager(java.sql.Connection con)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteType(int id)` Удаляет тип объекта
    `ObjectType` | `getType(int id)` Получает тип объекта по его коду
    `java.util.List<ObjectType>` | `getTypeList(boolean onlyVisible)` Получает список значений типов объектов
    `java.util.Map<java.lang.Integer,ObjectType>` | `getTypeMap()` Возвращает карту типов объектов и их кодов
    `void` | `updateType(ObjectType type)` Обновляет значение типа объекта

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectTypeManager

          public ObjectTypeManager(java.sql.Connection con)

  - ### Method Detail

    - #### getTypeMap

          public java.util.Map<java.lang.Integer,ObjectType> getTypeMap()

      Возвращает карту типов объектов и их кодов
      Returns:

    - #### getTypeList

          public java.util.List<ObjectType> getTypeList(boolean onlyVisible)

      Получает список значений типов объектов
      Returns:

    - #### getType

          public ObjectType getType(int id)

      Получает тип объекта по его коду
      Parameters:
        `id` - код типа объекта
      Returns:
        null - если нету

    - #### updateType

          public void updateType(ObjectType type)

      Обновляет значение типа объекта
      Parameters:
        `type` - тип объекта

    - #### deleteType

          public void deleteType(int id)

      Удаляет тип объекта
      Parameters:
        `id` - код типа объекта